Page MenuHomePhabricator

Inaccessible anchors in the special preferences page
Closed, ResolvedPublic

Description

Hi,

Some anchors in the 'Special:Preferences page are not accessible.

For instance, when I go to https://fr.wiktionary.org/wiki/Spécial:Préférences#mw-htmlform-signature , the link will work, because it's an anchor for the preselected tab; whereas the link https://fr.wiktionary.org/wiki/Spécial:Préférences#mw-input-wpgadgets-DeluxeHistory won't work because the anchor doesn't link to a section of a tab selected by default.

Someone told me that could be fixed with JavaScript looking for that ID and, if it's on a hidden tab, switch to that tab and then navigate to it.

Thanks by advance


Version: 1.22.0
Severity: minor

Details

Reference
bz52469

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:47 AM
bzimport set Reference to bz52469.
bzimport added a subscriber: Unknown Object (MLST).
Automatik created this task.Aug 2 2013, 6:25 PM

You can use a anchor to preselect the correct tab
https://fr.wiktionary.org/wiki/Spécial:Préférences#mw-prefsection-gadgets

At the moment you cannot link to a specific option in that tab.

I know that. I hope we can link to the options in the future. Regards.

Automatik set Security to None.
Automatik removed subscribers: Unknown Object (MLST), Automatik, Aklapper and 2 others.
Automatik added subscribers: Automatik, Aklapper, matmarex and 2 others.

I'm going to propose (and mentor) this as a task for Google-Code-In-2015.

Purodha renamed this task from Not accessible anchors in the special preferences page to Inaccessible anchors in the special preferences page.Nov 2 2015, 9:43 AM

Change 260216 had a related patch set uploaded (by Scimonster):
[Special:Preferences] Switch tabs when hash is set to an item in another tab.

https://gerrit.wikimedia.org/r/260216

Change 260216 merged by jenkins-bot:
[Special:Preferences] Switch tabs when hash is set to an item in another tab.

https://gerrit.wikimedia.org/r/260216

matmarex closed this task as Resolved.Dec 20 2015, 4:40 PM
matmarex removed a project: Patch-For-Review.
matmarex removed a subscriber: wikibugs-l-list.